org.sunflow.core.parser

## Enum SCAbstractParser.Keyword

- java.lang.Object
- - java.lang.Enum<SCAbstractParser.Keyword>
  - - org.sunflow.core.parser.SCAbstractParser.Keyword

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SCAbstractParser.Keyword>

Enclosing class:
  SCAbstractParser

    public static enum SCAbstractParser.Keyword
    extends java.lang.Enum<SCAbstractParser.Keyword>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BOOL`
`CAMERA`
`COLOR`
`END_OF_FILE`
`FLOAT`
`FLOAT_ARRAY`
`FRAME`
`GEOMETRY`
`INCLUDE`
`INSTANCE`
`INT`
`INT_ARRAY`
`LIGHT`
`MATRIX`
`MATRIX_ARRAY`
`MODIFIER`
`OPTIONS`
`PARAMETER`
`PLUGIN`
`POINT`
`POINT_ARRAY`
`REMOVE`
`RESET`
`SEARCHPATH`
`SHADER`
`STRING`
`STRING_ARRAY`
`TEXCOORD`
`TEXCOORD_ARRAY`
`VECTOR`
`VECTOR_ARRAY`

### Method Summary

Methods
`static SCAbstractParser.Keyword` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SCAbstractParser.Keyword[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### RESET

    public static final SCAbstractParser.Keyword RESET

#### PARAMETER

    public static final SCAbstractParser.Keyword PARAMETER

#### GEOMETRY

    public static final SCAbstractParser.Keyword GEOMETRY

#### INSTANCE

    public static final SCAbstractParser.Keyword INSTANCE

#### SHADER

    public static final SCAbstractParser.Keyword SHADER

#### MODIFIER

    public static final SCAbstractParser.Keyword MODIFIER

#### LIGHT

    public static final SCAbstractParser.Keyword LIGHT

#### CAMERA

    public static final SCAbstractParser.Keyword CAMERA

#### OPTIONS

    public static final SCAbstractParser.Keyword OPTIONS

#### INCLUDE

    public static final SCAbstractParser.Keyword INCLUDE

#### REMOVE

    public static final SCAbstractParser.Keyword REMOVE

#### FRAME

    public static final SCAbstractParser.Keyword FRAME

#### PLUGIN

    public static final SCAbstractParser.Keyword PLUGIN

#### SEARCHPATH

    public static final SCAbstractParser.Keyword SEARCHPATH

#### STRING

    public static final SCAbstractParser.Keyword STRING

#### BOOL

    public static final SCAbstractParser.Keyword BOOL

#### INT

    public static final SCAbstractParser.Keyword INT

#### FLOAT

    public static final SCAbstractParser.Keyword FLOAT

#### COLOR

    public static final SCAbstractParser.Keyword COLOR

#### POINT

    public static final SCAbstractParser.Keyword POINT

#### VECTOR

    public static final SCAbstractParser.Keyword VECTOR

#### TEXCOORD

    public static final SCAbstractParser.Keyword TEXCOORD

#### MATRIX

    public static final SCAbstractParser.Keyword MATRIX

#### STRING_ARRAY

    public static final SCAbstractParser.Keyword STRING_ARRAY

#### INT_ARRAY

    public static final SCAbstractParser.Keyword INT_ARRAY

#### FLOAT_ARRAY

    public static final SCAbstractParser.Keyword FLOAT_ARRAY

#### POINT_ARRAY

    public static final SCAbstractParser.Keyword POINT_ARRAY

#### VECTOR_ARRAY

    public static final SCAbstractParser.Keyword VECTOR_ARRAY

#### TEXCOORD_ARRAY

    public static final SCAbstractParser.Keyword TEXCOORD_ARRAY

#### MATRIX_ARRAY

    public static final SCAbstractParser.Keyword MATRIX_ARRAY

#### END_OF_FILE

    public static final SCAbstractParser.Keyword END_OF_FILE

### Method Detail

#### values

    public static SCAbstractParser.Keyword[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SCAbstractParser.Keyword c : SCAbstractParser.Keyword.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SCAbstractParser.Keyword valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null